[Launch]
ProgramExecutable64=PowerISO64\PowerISO.exe
WorkingDirectory=%PAL:AppDir%\%POWERISO%
ProgramExecutable=PowerISO\PowerISO.exe
WaitForEXE1=PowerISO.exe
WaitForEXE2=PWRISOVM.EXE
RefreshShellIcons=both
CloseEXE=PWRISOVM.EXE
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[Associations]
1=daa
2=iso
3=bin
4=cue
5=img

[RegistryKeys]
-=HKLM\SOFTWARE\Classes\Applications\PowerISO.exe
PowerISO=HKCU\Software\PowerISO

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\Classes\.b5i
2=HKLM\SOFTWARE\Classes\.bif
3=HKLM\SOFTWARE\Classes\.bwi
4=HKLM\SOFTWARE\Classes\.c2d
5=HKLM\SOFTWARE\Classes\.cdi
6=HKLM\SOFTWARE\Classes\.cif
7=HKLM\SOFTWARE\Classes\.cue
8=HKLM\SOFTWARE\Classes\.daa
9=HKLM\SOFTWARE\Classes\.dmg
10=HKLM\SOFTWARE\Classes\.fcd
11=HKLM\SOFTWARE\Classes\.gi
12=HKLM\SOFTWARE\Classes\.ima
13=HKLM\SOFTWARE\Classes\.isz
14=HKLM\SOFTWARE\Classes\.lcd
15=HKLM\SOFTWARE\Classes\.mdf
16=HKLM\SOFTWARE\Classes\.mds
17=HKLM\SOFTWARE\Classes\.ncd
18=HKLM\SOFTWARE\Classes\.nrg
19=HKLM\SOFTWARE\Classes\.p01
20=HKLM\SOFTWARE\Classes\.pdi
21=HKLM\SOFTWARE\Classes\.pxi
22=HKLM\SOFTWARE\Classes\.uif
23=HKLM\SOFTWARE\Classes\.vcd
24=HKLM\SOFTWARE\Classes\.wim
25=HKCU\Software\PowerISO\SCDEmu
26=HKCU\Software\PowerISO

[RegistryValueWrite]
HKCU\Software\PowerISO\USER=REG_BINARY:0012506f77657220536f667477617265204c7464e81613c8d3782d8f89c724acf5cefc41
HKCU\Software\PowerISO\Language=REG_DWORD:%PAL:LanguageCustom%
HKCU\Software\PowerISO\%BIT%=REG_SZ:%PAL:AppDir%\%POWERISO%
HKCU\Software\PowerISO\CheckUpgrade=REG_DWORD:2147483648
HKCU\Software\PowerISO\Status=REG_BINARY:2147483653

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\PowerISO

[FilesMove]
version.ini=%APPDATA%\PowerISO\Upgrade

[FilesCleanup]
1=%PAL:DataDir%\version.ini

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\PowerISO.reg
Find="="%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace="="%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\PowerISO.reg
Find="="%PAL:LastDrive%\\
Replace="="%PAL:Drive%\\